<div class="row-fluid">
    <div class="menuAdmin col-md-3 label label-info headertop" removeonsize="992" classes-list="label label-info" ng-include src="'partials/adminNavbar.html'"></div>
    <div class="col-md-4">
        <!-- contenu -->
        <div class="col-md-11 col-md-offset-1">
            <form name="statistiques" novalidate="novalidate">

                <div class="row">
                    <h2 class="col-md-6">{{'Admin.Stats.Title' | translate}}</h2>
                </div>



                <h3>{{'Admin.Stats.Period' | translate}}</h3>

                <div class="row">
                    <div class="col-md-6">
                        <div style="width: 100%;" class="form-group">
                            <label for="debut">{{'Admin.Stats.Begin' | translate}}

                            </label>
                            <span class="float-right label label-danger"><i class="fa fa-warning"></i> {{'Mandatory' | translate}}</span>

                            <div class="input-group col-md-12" style="padding: 0;">
                                <input id="debut" name="debut" placeholder="{{'Admin.Stats.Begin' | translate}}" ng-cloak="" from="true" linked="#fin" ip-id="debut" return-format="@" readonly="true" ip-datepicker type="text" ng-model="opt.fromTime" class="form-control unvalidate" required>
                                <span ng-if="!!opt.fromTime" ng-click="opt.fromTime = undefined"
                                      class="pointer input-group-addon">
                                    <i class="fa fa-times"></i>
                                </span>
                                <label for="debut" ng-if="!opt.fromTime" class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </label>
                            </div>

                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="fin">{{'Admin.Stats.End' | translate}}

                            </label>
                            <span class="float-right label label-danger"><i class="fa fa-warning"></i> {{'Mandatory' | translate}}</span>

                            <div class="input-group col-md-12" style="padding: 0;">
                                <input id="fin" name="fin" placeholder="{{'Admin.Stats.End' | translate}}" ng-cloak="" linked="#debut" ip-id="fin" return-format="@" readonly="true" ip-datepicker type="text" ng-model="opt.toTime" class="form-control unvalidate" required>
                                <span ng-if="!!opt.toTime" ng-click="opt.toTime = undefined" class="pointer input-group-addon">
                                    <i class="fa fa-times"></i>
                                </span>
                                <label for="fin" ng-if="!opt.toTime" class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </label>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label for="cumul">{{'Admin.Stats.Cumulation' | translate}}</label>
                    <select class="form-control unvalidate" id="cumul" name="cumul" ng-model="cumul">
                        <option value="1">{{'Admin.Stats.Day' | translate}}</option>
                        <option value="2">{{'Admin.Stats.Week' | translate}}</option>
                        <option value="3">{{'Admin.Stats.Month' | translate}}</option>
                        <option value="4">{{'Admin.Stats.Year' | translate}}</option>
                    </select>
                </div>

                <div class="well dashlet">
                    <div class="row pos-rel margin-none">
                        <h3 ng-click="element.show = !element.show" class="pointer">{{'Admin.Stats.Filter_Desks' | translate}}</h3>
                        <div class="checkbox inline-right-checkbox">
                            <i class="fa fa-question-circle" tooltip-trigger="mouseenter" tooltip-placement="top" tooltip="{{'Admin.Stats.Accumulative_Info' | translate}}"></i>
                            <label>
                                <input class="unvalidate" ng-model="bureaux.cumul" type="checkbox">
                                {{'Admin.Stats.Accumulative' | translate}}
                            </label>
                        </div>
                        <div class="dashlet-content" bn-slide-show="element.show">

                            <div class="col-md-6">
                                <div>
                                    <div class="input-group">
                                        <span class="input-group-addon"><i class="fa fa-search fa-fw"></i></span>
                                        <input placeholder="{{'Search' | translate}}" ng-model="searchBureau" ng-change="listHandler.search(searchBureau)" class="form-control unvalidate" type="text">
                                    </div>

                                    <div style="height:15px;" ng-if="listHandler.maxSize < listHandler.total">
                                    <span class="text-warning float-right">
                                        {{listHandler.page*listHandler.maxSize +1}}-{{(listHandler.page+1)*listHandler.maxSize < listHandler.total ? (listHandler.page+1)*listHandler.maxSize : listHandler.total}} {{'On' | translate}} {{listHandler.total}}
                                        <span class="btn btn-default fa fa-chevron-left force-display" ng-disabled="listHandler.page === 0" ng-click="listHandler.pagine(-1)"></span>
                                        <span class="btn btn-default fa fa-chevron-right force-display" ng-disabled="listHandler.page+1 >= (listHandler.total/listHandler.maxSize)" ng-click="listHandler.pagine(1)"></span>
                                    </span>
                                    </div>
                                </div>

                                <span class="text-info" ng-if="listHandler.searchResultSubList.length === 0"><i class="fa fa-info-circle"></i> {{'Admin.Stats.No_Result' | translate}}</span>

                                <ul class="list-unstyled nav nav-pills nav-stacked adminContent list-data">
                                    <li ng-repeat="bureau in listHandler.searchResultSubList">
                                        <a ng-click="listHandler.selectElement(bureau)">
                                            <i class="fa fa-plus-circle text-success"></i> {{bureau.name}}
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div class="col-md-6">
                                <span ng-if="listHandler.selectedSubList.length === 0" class="text-info"><i class="fa fa-info-circle"></i> {{'Admin.Stats.All_Selected' | translate}}</span>
                                <ul class="list-unstyled pointer">
                                    <li class="hover-li" ng-click="listHandler.deselectElement(bureau.id)" ng-repeat="bureau in listHandler.selectedSubList">
                                        <i class="text-danger fa fa-times-circle"></i> {{bureau.name}}
                                    </li>
                                </ul>
                            </div>
                        </div>

                    </div>


                </div>

                <div class="row">
                    <div class="col-md-6">
                        <h3>{{'Admin.Stats.Filter_Types' | translate}}</h3>

                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="type">{{'Admin.Stats.Types' | translate}}</label>
                                <select id="type" ng-model="opt.options.type" name="type" class="form-control unvalidate" ng-options="type.id as type.id for type in types">
                                    <option value="">{{'None' | translate}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="subType">{{'Admin.Stats.Sub' | translate}}</label>
                                <select id="subType" ng-model="opt.options.sousType" name="subType" class="form-control unvalidate" ng-options="sousType.id as sousType.id for sousType in (types | findWithId:opt.options.type).sousTypes">
                                    <option value="">{{'None' | translate}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <h3>{{'Admin.Stats.Actions' | translate}}</h3>

                        <div class="checkbox">
                            <i class="fa fa-question-circle" tooltip-trigger="mouseenter" tooltip-placement="left" tooltip="{{'Admin.Stats.Create_Info' | translate}}"></i>
                            <label>
                                <input class="unvalidate" ng-model="action.dossiersCrees" type="checkbox"> {{'Admin.Stats.Create' | translate}}
                            </label>
                        </div>
                        <div class="checkbox">
                            <i class="fa fa-question-circle" tooltip-trigger="mouseenter" tooltip-placement="left" tooltip="{{'Admin.Stats.Emit_Info' | translate}}"></i>
                            <label>
                                <input class="unvalidate" ng-model="action.dossiersEmis" type="checkbox"> {{'Admin.Stats.Emit' | translate}}
                            </label>
                        </div>
                        <div class="checkbox">
                            <i class="fa fa-question-circle" tooltip-trigger="mouseenter" tooltip-placement="left"
                               tooltip="{{'Admin.Stats.EmitReject_Info' | translate}}"></i>
                            <label>
                                <input class="unvalidate" ng-model="action.dossiersEmisRefuses" type="checkbox">
                                {{'Admin.Stats.EmitReject' | translate}}
                            </label>
                        </div>
                        <div class="checkbox">
                            <i class="fa fa-question-circle" tooltip-trigger="mouseenter" tooltip-placement="left" tooltip="{{'Admin.Stats.Instruct_Info' | translate}}"></i>
                            <label>
                                <input class="unvalidate" ng-model="action.dossiersInstruits" type="checkbox"> {{'Admin.Stats.Instruct' | translate}}
                            </label>
                        </div>
                        <div class="checkbox">
                            <i class="fa fa-question-circle" tooltip-trigger="mouseenter" tooltip-placement="left" tooltip="{{'Admin.Stats.Reject_Info' | translate}}"></i>
                            <label>
                                <input class="unvalidate" ng-model="action.dossiersRefuses" type="checkbox"> {{'Admin.Stats.Reject' | translate}}
                            </label>
                        </div>
                        <div class="checkbox">
                            <i class="fa fa-question-circle" tooltip-trigger="mouseenter" tooltip-placement="left" tooltip="{{'Admin.Stats.Handle_Info' | translate}}"></i>
                            <label>
                                <input class="unvalidate" ng-model="action.dossiersTraites" type="checkbox"> {{'Admin.Stats.Handle' | translate}}
                            </label>
                        </div>
                        <div class="checkbox">
                            <i class="fa fa-question-circle" tooltip-trigger="mouseenter" tooltip-placement="left"
                               tooltip="{{'Admin.Stats.Time_Info' | translate}}"></i>
                            <label>
                                <input class="unvalidate" ng-change="" ng-model="action.tempsTraitement"
                                       type="checkbox"> {{'Admin.Stats.Time' | translate}}
                            </label>
                        </div>
                    </div>
                </div>
                <div class="col-md-6" style="margin-top: 10px; margin-bottom:30px;">
                        <span style="margin-bottom:10px;" class="btn btn-success force-display" ng-disabled="!statistiques.$valid" ng-click="updateChartData()">
                            <i class="fa fa-eye"></i>
                            {{'Admin.Stats.Generate' | translate}}
                        </span>
                    <span class="btn btn-info force-display" ng-disabled="toHandle !== 0 || !hasStats" ng-click="exportToCSV()">
                            <i class="fa fa-download"></i>
                            {{'Admin.Stats.Export' | translate}}
                        </span>
                </div>
            </form>
        </div>
    </div>
    <div class="col-md-8">
        <div>
            <h2 style="display:inline-block">{{'Admin.Stats.Result' | translate}}</h2>

            <div class="text-info" ng-if="moyenne" style="float:right;margin-top:20px;">
                <span class="fa fa-info-circle"></span>

                <p class="inline">{{'Admin.Stats.Average' | translate}} : {{moyenne}}<br>
                    {{'Admin.Stats.E_Type' | translate}} : {{ecartType}}</p>
            </div>

            <ul class="nav nav-tabs" ng-if="searchReject && toHandle == 0">
                <li class="active"><a href="#courbe" bs-tab><i class="fa fa-bar-chart-o"></i> {{'Admin.Stats.Courbe' |
                    translate}}</a></li>
                <li><a ng-click="generateRejectTable()" href="#rejets" bs-tab><i class="fa fa-times-circle"></i>
                    {{'Admin.Stats.Cause' | translate}}</a></li>
            </ul>

            <div class="tab-content">
                <div class='tab-pane active' id='courbe'>
                    <div ng-if="datalength > 0" chart id="chartstat" dataset="data" cumul="savedCumul"
                         datalength="datalength"></div>
                </div>

                <div class='tab-pane' id='rejets'>
                    <div>
                        <table class="table table-striped" ng-table="tableParams">
                            <tr ng-repeat="dossier in $data">
                                <td data-title="'Admin.Stats.Title_Reject' | translate" sortable="'title'">
                                    {{dossier.title}}
                                </td>
                                <td data-title="'Admin.Stats.Emetteur_Reject' | translate" sortable="'emetteur'">
                                    {{(bureaux | findWithId:dossier.emetteur).title}}
                                </td>
                                <td data-title="'Admin.Stats.Reject_By' | translate" sortable="'parapheur'">
                                    {{(bureaux | findWithId:dossier.parapheur).title}}
                                </td>
                                <td data-title="'Admin.Stats.Date_Reject' | translate" sortable="'date'">
                                    {{dossier.date | texttodate | date:'dd/MM/yyyy à HH:mm'}}
                                </td>
                                <td style="white-space: pre-wrap" data-title="'Admin.Stats.Cause_Reject' | translate" ng-bind="dossier.cause">
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div style="top:100px;" class="nextDossierInfo" ng-if="gettingStats">
                    <span class="text text-info">
                        {{'Admin.Stats.Getting_Info' | translate}}
                    </span>
            <span style="position: relative; width: 0px; z-index: 2000000000; right: 120px; top: 100px;" us-spinner="{radius:20, width:8, length: 16}"></span>
        </div>

    </div>
</div>